From 99ad85c0995ea86b02a608d19668f3b0803f281d Mon Sep 17 00:00:00 2001
From: zubin <imzubin@localhost.localdomain>
Date: Jul 16 2019 13:20:19 +0000
Subject: [PATCH 10/18] merge devel


---

diff --git a/src/.vscode/tags b/src/.vscode/tags
new file mode 100644
index 0000000..888b37c
--- /dev/null
+++ b/src/.vscode/tags
@@ -0,0 +1,59 @@
+!_TAG_FILE_FORMAT	2	/extended format; --format=1 will not append ;" to lines/
+!_TAG_FILE_SORTED	1	/0=unsorted, 1=sorted, 2=foldcase/
+!_TAG_PROGRAM_AUTHOR	Darren Hiebert	/dhiebert@users.sourceforge.net/
+!_TAG_PROGRAM_NAME	Exuberant Ctags	//
+!_TAG_PROGRAM_URL	http://ctags.sourceforge.net	/official site/
+!_TAG_PROGRAM_VERSION	5.8	//
+BodhiClient	../bodhiCalls.py	/^from bodhi.client.bindings import BodhiClient$/;"	kind:namespace	line:1
+BodhiClient	../main.py	/^from bodhi.client.bindings import BodhiClient$/;"	kind:namespace	line:23
+FasProxyClient	../main.py	/^from fedora.client import FasProxyClient, openidbaseclient$/;"	kind:namespace	line:24
+LoginWindow.py	../LoginWindow.py	1;"	kind:file	line:1
+Main	../main.py	/^class Main():$/;"	kind:class	line:29
+Path	../main.py	/^from pathlib import Path$/;"	kind:namespace	line:9
+QtCore	../LoginWindow.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:10
+QtCore	../main.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:14
+QtCore	../main.py	/^from PySide2 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:13
+QtCore	../window.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:10
+QtGui	../LoginWindow.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:10
+QtGui	../main.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:14
+QtGui	../main.py	/^from PySide2 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:13
+QtGui	../window.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:10
+QtWidgets	../LoginWindow.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:10
+QtWidgets	../main.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:14
+QtWidgets	../main.py	/^from PySide2 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:13
+QtWidgets	../window.py	/^from PyQt5 import QtCore, QtGui, QtWidgets$/;"	kind:namespace	line:10
+Ui_Login	../LoginWindow.py	/^class Ui_Login(object):$/;"	kind:class	line:13
+Ui_Login	../main.py	/^from LoginWindow import Ui_Login$/;"	kind:namespace	line:18
+Ui_MainWindow	../main.py	/^from window import Ui_MainWindow$/;"	kind:namespace	line:17
+Ui_MainWindow	../window.py	/^class Ui_MainWindow(object):$/;"	kind:class	line:13
+__init__	../main.py	/^        def __init__(self):$/;"	kind:member	line:30
+app	../main.py	/^        app = Main()/;"	kind:variable	line:268
+bc	../bodhiCalls.py	/^bc = BodhiClient()$/;"	kind:variable	line:3
+bodhiCalls.py	../bodhiCalls.py	1;"	kind:file	line:1
+cache	../main.py	/^        def cache(self):$/;"	kind:member	line:165
+comment	../main.py	/^        def comment(self, update, comment, karma=0, critpath = None):$/;"	kind:member	line:176
+fetchList	../main.py	/^        def fetchList(self, cached_data):$/;"	kind:member	line:133
+json	../main.py	/^import json$/;"	kind:namespace	line:7
+literal_eval	../main.py	/^from ast import literal_eval$/;"	kind:namespace	line:10
+location_data	../main.py	/^location_data = str(Path.home()) + "\/.fgk"$/;"	kind:variable	line:26
+loginPopup	../main.py	/^        def loginPopup(self):$/;"	kind:member	line:96
+logout	../main.py	/^        def logout(self):$/;"	kind:member	line:120
+main.py	../main.py	1;"	kind:file	line:1
+next_page	../main.py	/^        def next_page(self):$/;"	kind:member	line:149
+openidbaseclient	../main.py	/^from fedora.client import FasProxyClient, openidbaseclient$/;"	kind:namespace	line:24
+os	../main.py	/^import os$/;"	kind:namespace	line:5
+populateComments	../main.py	/^        def populateComments(self, t):$/;"	kind:member	line:210
+postKarma	../main.py	/^        def postKarma(self):$/;"	kind:member	line:186
+pprint	../bodhiCalls.py	/^import pprint$/;"	kind:namespace	line:2
+pprint	../main.py	/^import pprint$/;"	kind:namespace	line:8
+previous_page	../main.py	/^        def previous_page(self):$/;"	kind:member	line:155
+retranslateUi	../LoginWindow.py	/^    def retranslateUi(self, Login):$/;"	kind:member	line:57
+retranslateUi	../window.py	/^    def retranslateUi(self, MainWindow):$/;"	kind:member	line:304
+save	../main.py	/^        def save(self):$/;"	kind:member	line:101
+searching	../main.py	/^        def searching(self):$/;"	kind:member	line:256
+selected	../main.py	/^        def selected(self):$/;"	kind:member	line:227
+setupUi	../LoginWindow.py	/^    def setupUi(self, Login):$/;"	kind:member	line:14
+setupUi	../window.py	/^    def setupUi(self, MainWindow):$/;"	kind:member	line:14
+sys	../main.py	/^import sys$/;"	kind:namespace	line:6
+verifyLogin	../main.py	/^        def verifyLogin(self):$/;"	kind:member	line:109
+window.py	../window.py	1;"	kind:file	line:1
diff --git a/src/LoginWindow.py b/src/LoginWindow.py
new file mode 100644
index 0000000..e746b7a
--- /dev/null
+++ b/src/LoginWindow.py
@@ -0,0 +1,63 @@
+# -*- coding: utf-8 -*-
+
+# Form implementation generated from reading ui file 'ui/Login.ui'
+#
+# Created by: PyQt5 UI code generator 5.13.0
+#
+# WARNING! All changes made in this file will be lost!
+
+
+from PyQt5 import QtCore, QtGui, QtWidgets
+
+
+class Ui_Login(object):
+    def setupUi(self, Login):
+        Login.setObjectName("Login")
+        Login.resize(250, 300)
+        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
+        sizePolicy.setHorizontalStretch(0)
+        sizePolicy.setVerticalStretch(0)
+        sizePolicy.setHeightForWidth(Login.sizePolicy().hasHeightForWidth())
+        Login.setSizePolicy(sizePolicy)
+        Login.setMinimumSize(QtCore.QSize(250, 300))
+        Login.setMaximumSize(QtCore.QSize(250, 300))
+        self.gridLayoutWidget = QtWidgets.QWidget(Login)
+        self.gridLayoutWidget.setGeometry(QtCore.QRect(0, 0, 241, 291))
+        self.gridLayoutWidget.setObjectName("gridLayoutWidget")
+        self.gridLayout = QtWidgets.QGridLayout(self.gridLayoutWidget)
+        self.gridLayout.setContentsMargins(0, 0, 0, 0)
+        self.gridLayout.setObjectName("gridLayout")
+        self.Password = QtWidgets.QLineEdit(self.gridLayoutWidget)
+        self.Password.setText("")
+        self.Password.setEchoMode(QtWidgets.QLineEdit.Password)
+        self.Password.setObjectName("Password")
+        self.gridLayout.addWidget(self.Password, 5, 0, 1, 1)
+        self.label_username = QtWidgets.QLabel(self.gridLayoutWidget)
+        self.label_username.setObjectName("label_username")
+        self.gridLayout.addWidget(self.label_username, 2, 0, 1, 1)
+        self.label_Password = QtWidgets.QLabel(self.gridLayoutWidget)
+        self.label_Password.setObjectName("label_Password")
+        self.gridLayout.addWidget(self.label_Password, 4, 0, 1, 1)
+        self.fedoraReleases = QtWidgets.QComboBox(self.gridLayoutWidget)
+        self.fedoraReleases.setObjectName("fedoraReleases")
+        self.gridLayout.addWidget(self.fedoraReleases, 7, 0, 1, 1)
+        self.label_FeodraVersion = QtWidgets.QLabel(self.gridLayoutWidget)
+        self.label_FeodraVersion.setObjectName("label_FeodraVersion")
+        self.gridLayout.addWidget(self.label_FeodraVersion, 6, 0, 1, 1)
+        self.saveButton = QtWidgets.QPushButton(self.gridLayoutWidget)
+        self.saveButton.setObjectName("saveButton")
+        self.gridLayout.addWidget(self.saveButton, 8, 0, 1, 1)
+        self.Username = QtWidgets.QLineEdit(self.gridLayoutWidget)
+        self.Username.setObjectName("Username")
+        self.gridLayout.addWidget(self.Username, 3, 0, 1, 1)
+
+        self.retranslateUi(Login)
+        QtCore.QMetaObject.connectSlotsByName(Login)
+
+    def retranslateUi(self, Login):
+        _translate = QtCore.QCoreApplication.translate
+        Login.setWindowTitle(_translate("Login", "Login"))
+        self.label_username.setText(_translate("Login", "Username"))
+        self.label_Password.setText(_translate("Login", "Password"))
+        self.label_FeodraVersion.setText(_translate("Login", "Fedora Version"))
+        self.saveButton.setText(_translate("Login", "Save"))
diff --git a/src/bodhiCalls.py b/src/bodhiCalls.py
new file mode 100644
index 0000000..bff71e4
--- /dev/null
+++ b/src/bodhiCalls.py
@@ -0,0 +1,4 @@
+from bodhi.client.bindings import BodhiClient
+import pprint
+bc = BodhiClient(updateid="FEDORA-2016-1d9eb09530" )
+pprint.pprint(bc.query())
\ No newline at end of file
